Received: from mnm [127.0.0.1]
	by localhost with POP3 (fetchmail-5.9.0)
	for akpm@localhost (single-drop); Sun, 13 Apr 2003 12:32:05 -0700 (PDT)
Received: by mangalore (mbox akpm)
 (with Cubic Circle's cucipop (v1.31 1998/05/13) Mon Apr 14 05:31:57 2003)
X-From_: linux-kernel-owner+akpm=40zip.com.au@vger.kernel.org  Mon Apr 14 05:31:12 2003
Return-Path: <linux-kernel-owner+akpm=40zip.com.au@vger.kernel.org>
Received: from vger.kernel.org (vger.kernel.org [209.116.70.75])
	by mangalore.zipworld.com.au (8.12.3/8.12.3) with ESMTP id h3DJVA6f018647
	for <akpm@zip.com.au>; Mon, 14 Apr 2003 05:31:10 +1000
Received: (majordomo@vger.kernel.org) by vger.kernel.org via listexpand
	id S261694AbTDMTPP (for <rfc822;akpm@zip.com.au>); Sun, 13 Apr 2003 15:15:15 -0400
Received: (majordomo@vger.kernel.org) by vger.kernel.org id S261695AbTDMTPP (for <rfc822;linux-kernel-outgoing>);
	Sun, 13 Apr 2003 15:15:15 -0400
Received: from bristol.phunnypharm.org ([65.207.35.130]:19425 "EHLO
	bristol.phunnypharm.org") by vger.kernel.org with ESMTP
	id S261694AbTDMTPN (for <rfc822;linux-kernel@vger.kernel.org>); Sun, 13 Apr 2003 15:15:13 -0400
Received: from hopper.phunnypharm.org ([192.168.0.13])
	by bristol.phunnypharm.org with esmtp (Exim 3.36 #1 (Debian))
	id 194n7f-00034N-00; Sun, 13 Apr 2003 15:26:39 -0400
Received: from bmc by hopper.phunnypharm.org with local (Exim 3.36 #1 (Debian))
	id 194n50-0007fs-00; Sun, 13 Apr 2003 15:23:54 -0400
Date: Sun, 13 Apr 2003 15:23:54 -0400
From: Ben Collins <bcollins@debian.org>
To: Linus Torvalds <torvalds@transmeta.com>
Cc: Adrian Bunk <bunk@fs.tum.de>, linux-kernel@vger.kernel.org
Subject: [PATCH] Fix nodemgr.c compile (was Re: 2.5.67-mm2: ieee1394/nodemgr.c doesn't compile)
Message-ID: <20030413192354.GD16706@phunnypharm.org>
References: <20030412180852.77b6c5e8.akpm@digeo.com> <20030413125744.GN9640@fs.tum.de>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20030413125744.GN9640@fs.tum.de>
User-Agent: Mutt/1.5.4i
Sender: linux-kernel-owner@vger.kernel.org
Precedence: bulk
X-Mailing-List: linux-kernel@vger.kernel.org
X-Spam-Status: No, hits=-8.4 required=6.0
	tests=IN_REP_TO,UNIFIED_PATCH
	version=2.31
X-Spam-Level: 

> The following compile error #ifdef CONFIG_IEEE1394_VERBOSEDEBUG seems to 
> come from Linus' tree:

Thanks, here's a patch.

Index: nodemgr.c
===================================================================
--- linux/drivers/ieee1394/nodemgr.c	(revision 862)
+++ linux/drivers/ieee1394/nodemgr.c	(working copy)
@@ -1010,34 +1010,7 @@
 		kfree(ud);
 }
 
-static void dump_directories (struct node_entry *ne)
-{
-#ifdef CONFIG_IEEE1394_VERBOSEDEBUG
-	struct list_head *l;
 
-	HPSB_DEBUG("vendor_id=0x%06x [%s], capabilities=0x%06x",
-		   ne->vendor_id, ne->vendor_name ?: "Unknown",
-		   ne->capabilities);
-	list_for_each (l, &ne->unit_directories) {
-		struct unit_directory *ud = list_entry (l, struct unit_directory, node_list);
-		HPSB_DEBUG("unit directory:");
-		if (ud->flags & UNIT_DIRECTORY_VENDOR_ID)
-			HPSB_DEBUG("  vendor_id=0x%06x [%s]",
-				   ud->vendor_id,
-				   ud->vendor_name ?: "Unknown");
-		if (ud->flags & UNIT_DIRECTORY_MODEL_ID)
-			HPSB_DEBUG("  model_id=0x%06x [%s]",
-				   ud->model_id,
-				   ud->model_name ?: "Unknown");
-		if (ud->flags & UNIT_DIRECTORY_SPECIFIER_ID)
-			HPSB_DEBUG("  sw_specifier_id=0x%06x ", ud->specifier_id);
-		if (ud->flags & UNIT_DIRECTORY_VERSION)
-			HPSB_DEBUG("  sw_version=0x%06x ", ud->version);
-	}
-#endif
-	return;
-}
-
 static void nodemgr_process_root_directory(struct host_info *hi, struct node_entry *ne)
 {
 	octlet_t address;
@@ -1104,8 +1077,6 @@
 			break;
 		}
 	}
-
-	dump_directories(ne);
 }
 
 #ifdef CONFIG_HOTPLUG
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/
